import type { STYLE, STRATEGY, SSR_SERVER } from '@omni-door/utils';
interface Config {
    ts: boolean;
    test: boolean;
    eslint: boolean;
    prettier: boolean;
    commitlint: boolean;
    style: STYLE;
    stylelint: boolean;
    ssrServer: SSR_SERVER;
    tag?: string;
}
export declare function dependencies(strategy: STRATEGY, config: Config): Promise<{
    depArr: string[];
    depStr: string;
}>;
export declare function devDependencies(strategy: STRATEGY, config: Config): Promise<{
    devDepArr: string[];
    defaultDepArr: string[];
    defaultDepStr: string;
    nextDepArr: string[];
    nextDepStr: string;
    tsDepArr: string[];
    tsDepStr: string;
    testDepArr: string[];
    testDepStr: string;
    eslintDepArr: string[];
    eslintDepStr: string;
    prettierDepArr: string[];
    prettierDepStr: string;
    commitlintDepArr: string[];
    commitlintDepStr: string;
    stylelintDepArr: string[];
    stylelintDepStr: string;
    serverDepArr: string[];
    serverDepStr: string;
}>;
export {};
