export declare const dependencies: {
    next: string;
    react: string;
    'react-dom': string;
    'webpack-merge': string;
};
export declare const devDependencies: {
    del: string;
    '@omni-door/cli': string;
    '@babel/core': string;
    '@babel/plugin-proposal-decorators': string;
    '@babel/runtime': string;
    '@commitlint/cli': string;
    '@next/bundle-analyzer': string;
    '@types/node': string;
    '@types/react': string;
    '@types/react-dom': string;
    '@types/vfile-message': string;
    '@typescript-eslint/eslint-plugin': string;
    '@typescript-eslint/parser': string;
    '@types/enzyme': string;
    '@types/jest': string;
    '@types/jsdom': string;
    "babel-jest": string;
    'cross-env': string;
    'http-proxy-middleware': string;
    less: string;
    'less-loader': string;
    'next-compose-plugins': string;
    'next-transpile-modules': string;
    'next-with-less': string;
    ip: string;
    jest: string;
    'jest-transform-stub': string;
    jsdom: string;
    'jsdom-global': string;
    enzyme: string;
    '@cfaester/enzyme-adapter-react-18': string;
    'detect-port': string;
    eslint: string;
    'eslint-config-prettier': string;
    'eslint-plugin-prettier': string;
    'eslint-plugin-react': string;
    husky: string;
    'lint-staged': string;
    'null-loader': string;
    open: string;
    'postcss-px-to-viewport-8-plugin': string;
    prettier: string;
    sass: string;
    sinon: string;
    stylelint: string;
    'stylelint-config-css-modules': string;
    'stylelint-config-rational-order': string;
    'stylelint-config-standard': string;
    'stylelint-config-standard-less': string;
    'stylelint-config-standard-scss': string;
    'stylelint-declaration-block-no-ignored-properties': string;
    'stylelint-less': string;
    'stylelint-order': string;
    'stylelint-scss': string;
    'ts-jest': string;
    'ts-node': string;
    typescript: string;
};
