"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.tpls_origin_new = exports.tpls_new = exports.tpls_origin_init = exports.tpls_init = void 0;
var babel_1 = __importStar(require("./babel"));
var commitlint_1 = __importStar(require("./commitlint"));
var editor_1 = __importStar(require("./editor"));
var eslint_1 = __importStar(require("./eslint"));
var eslintignore_1 = __importStar(require("./ignore/eslintignore"));
var gitignore_1 = __importStar(require("./ignore/gitignore"));
var prettierignore_1 = __importStar(require("./ignore/prettierignore"));
var jest_1 = __importStar(require("./jest"));
var next_config_1 = __importStar(require("./next/next-config"));
var next_d_1 = __importStar(require("./next/next-d"));
var omni_1 = __importStar(require("./omni"));
var package_1 = __importStar(require("./package"));
var postcss_1 = __importStar(require("./postcss"));
var prettier_1 = __importStar(require("./prettier"));
var readme_1 = __importStar(require("./readme"));
var index_zh_CN_1 = __importStar(require("./readme/index.zh-CN"));
var stylelint_1 = __importStar(require("./stylelint"));
var tsconfig_1 = __importStar(require("./tsconfig"));
var vsc_1 = __importStar(require("./vsc"));
var webpack_1 = __importStar(require("./webpack"));
var reset_1 = __importStar(require("./source/reset"));
var page_1 = __importStar(require("./source/app/page"));
var layout_1 = __importStar(require("./source/app/layout"));
var index_1 = __importStar(require("./source/page/index"));
var _app_1 = __importStar(require("./source/page/_app"));
var component_1 = __importStar(require("./source/component"));
var component_2 = __importStar(require("./source/component/component"));
var style_1 = __importStar(require("./source/component/style"));
var layout_2 = __importStar(require("./source/component/layout"));
var style_layout_1 = __importStar(require("./source/component/style-layout"));
var mapCtxToProps_1 = __importStar(require("./source/utils/mapCtxToProps"));
var paramsToQueryString_1 = __importStar(require("./source/utils/paramsToQueryString"));
var component_class_1 = __importStar(require("./new/component_class"));
var component_functional_1 = __importStar(require("./new/component_functional"));
var index_2 = __importStar(require("./new/index"));
var readme_2 = __importStar(require("./new/readme"));
var stylesheet_1 = __importStar(require("./new/stylesheet"));
var test_1 = __importStar(require("./new/test"));
var commit_msg_1 = __importStar(require("./husky/commit-msg"));
var pre_commit_1 = __importStar(require("./husky/pre-commit"));
var pre_push_1 = __importStar(require("./husky/pre-push"));
var babel_2 = require("./babel");
Object.defineProperty(exports, "babel", { enumerable: true, get: function () { return babel_2.default; } });
Object.defineProperty(exports, "tpl_babel", { enumerable: true, get: function () { return babel_2.tpl_babel; } });
var commitlint_2 = require("./commitlint");
Object.defineProperty(exports, "commitlint", { enumerable: true, get: function () { return commitlint_2.default; } });
Object.defineProperty(exports, "tpl_commitlint", { enumerable: true, get: function () { return commitlint_2.tpl_commitlint; } });
var editor_2 = require("./editor");
Object.defineProperty(exports, "editor", { enumerable: true, get: function () { return editor_2.default; } });
Object.defineProperty(exports, "tpl_editor", { enumerable: true, get: function () { return editor_2.tpl_editor; } });
var eslint_2 = require("./eslint");
Object.defineProperty(exports, "eslint", { enumerable: true, get: function () { return eslint_2.default; } });
Object.defineProperty(exports, "tpl_eslint", { enumerable: true, get: function () { return eslint_2.tpl_eslint; } });
var eslintignore_2 = require("./ignore/eslintignore");
Object.defineProperty(exports, "eslintignore", { enumerable: true, get: function () { return eslintignore_2.default; } });
Object.defineProperty(exports, "tpl_ignore_eslint", { enumerable: true, get: function () { return eslintignore_2.tpl_ignore_eslint; } });
var gitignore_2 = require("./ignore/gitignore");
Object.defineProperty(exports, "gitignore", { enumerable: true, get: function () { return gitignore_2.default; } });
Object.defineProperty(exports, "tpl_ignore_git", { enumerable: true, get: function () { return gitignore_2.tpl_ignore_git; } });
var prettierignore_2 = require("./ignore/prettierignore");
Object.defineProperty(exports, "prettierignore", { enumerable: true, get: function () { return prettierignore_2.default; } });
Object.defineProperty(exports, "tpl_ignore_prettier", { enumerable: true, get: function () { return prettierignore_2.tpl_ignore_prettier; } });
var next_config_2 = require("./next/next-config");
Object.defineProperty(exports, "nextConfig", { enumerable: true, get: function () { return next_config_2.default; } });
Object.defineProperty(exports, "tpl_next_config", { enumerable: true, get: function () { return next_config_2.tpl_next_config; } });
var next_d_2 = require("./next/next-d");
Object.defineProperty(exports, "nextDeclartion", { enumerable: true, get: function () { return next_d_2.default; } });
Object.defineProperty(exports, "tpl_next_d", { enumerable: true, get: function () { return next_d_2.tpl_next_d; } });
var omni_2 = require("./omni");
Object.defineProperty(exports, "omni", { enumerable: true, get: function () { return omni_2.default; } });
Object.defineProperty(exports, "tpl_omni", { enumerable: true, get: function () { return omni_2.tpl_omni; } });
var package_2 = require("./package");
Object.defineProperty(exports, "pkj", { enumerable: true, get: function () { return package_2.default; } });
Object.defineProperty(exports, "tpl_package", { enumerable: true, get: function () { return package_2.tpl_package; } });
var postcss_2 = require("./postcss");
Object.defineProperty(exports, "postcss", { enumerable: true, get: function () { return postcss_2.default; } });
Object.defineProperty(exports, "tpl_postcss", { enumerable: true, get: function () { return postcss_2.tpl_postcss; } });
var prettier_2 = require("./prettier");
Object.defineProperty(exports, "prettier", { enumerable: true, get: function () { return prettier_2.default; } });
Object.defineProperty(exports, "tpl_prettier", { enumerable: true, get: function () { return prettier_2.tpl_prettier; } });
var readme_3 = require("./readme");
Object.defineProperty(exports, "readme", { enumerable: true, get: function () { return readme_3.default; } });
Object.defineProperty(exports, "tpl_readme", { enumerable: true, get: function () { return readme_3.tpl_readme; } });
var index_zh_CN_2 = require("./readme/index.zh-CN");
Object.defineProperty(exports, "readme_cn", { enumerable: true, get: function () { return index_zh_CN_2.default; } });
Object.defineProperty(exports, "tpl_readme_cn", { enumerable: true, get: function () { return index_zh_CN_2.tpl_readme_cn; } });
var stylelint_2 = require("./stylelint");
Object.defineProperty(exports, "stylelint", { enumerable: true, get: function () { return stylelint_2.default; } });
Object.defineProperty(exports, "tpl_stylelint", { enumerable: true, get: function () { return stylelint_2.tpl_stylelint; } });
var tsconfig_2 = require("./tsconfig");
Object.defineProperty(exports, "tsconfig", { enumerable: true, get: function () { return tsconfig_2.default; } });
Object.defineProperty(exports, "tpl_tsconfig", { enumerable: true, get: function () { return tsconfig_2.tpl_tsconfig; } });
var vsc_2 = require("./vsc");
Object.defineProperty(exports, "vscode", { enumerable: true, get: function () { return vsc_2.default; } });
Object.defineProperty(exports, "tpl_vscode_setting", { enumerable: true, get: function () { return vsc_2.tpl_vscode_setting; } });
var webpack_2 = require("./webpack");
Object.defineProperty(exports, "webpack", { enumerable: true, get: function () { return webpack_2.default; } });
Object.defineProperty(exports, "tpl_webpack", { enumerable: true, get: function () { return webpack_2.tpl_webpack; } });
var reset_2 = require("./source/reset");
Object.defineProperty(exports, "source_index_reset", { enumerable: true, get: function () { return reset_2.default; } });
Object.defineProperty(exports, "tpl_src_reset", { enumerable: true, get: function () { return reset_2.tpl_src_reset; } });
var page_2 = require("./source/app/page");
Object.defineProperty(exports, "source_app_page", { enumerable: true, get: function () { return page_2.default; } });
Object.defineProperty(exports, "tpl_src_app_page", { enumerable: true, get: function () { return page_2.tpl_src_app_page; } });
var layout_3 = require("./source/app/layout");
Object.defineProperty(exports, "source_app_layout", { enumerable: true, get: function () { return layout_3.default; } });
Object.defineProperty(exports, "tpl_src_app_layout", { enumerable: true, get: function () { return layout_3.tpl_src_app_layout; } });
var index_3 = require("./source/page/index");
Object.defineProperty(exports, "source_page_index", { enumerable: true, get: function () { return index_3.default; } });
Object.defineProperty(exports, "tpl_src_page_index", { enumerable: true, get: function () { return index_3.tpl_src_page_index; } });
var _app_2 = require("./source/page/_app");
Object.defineProperty(exports, "source_page_app", { enumerable: true, get: function () { return _app_2.default; } });
Object.defineProperty(exports, "tpl_src_page_app", { enumerable: true, get: function () { return _app_2.tpl_src_page_app; } });
var component_3 = require("./source/component");
Object.defineProperty(exports, "source_component_index", { enumerable: true, get: function () { return component_3.default; } });
Object.defineProperty(exports, "tpl_src_component_index", { enumerable: true, get: function () { return component_3.tpl_src_component_index; } });
var component_4 = require("./source/component/component");
Object.defineProperty(exports, "source_component_cp", { enumerable: true, get: function () { return component_4.default; } });
Object.defineProperty(exports, "tpl_src_component_cp", { enumerable: true, get: function () { return component_4.tpl_src_component_cp; } });
var style_2 = require("./source/component/style");
Object.defineProperty(exports, "source_component_style", { enumerable: true, get: function () { return style_2.default; } });
Object.defineProperty(exports, "tpl_src_component_style", { enumerable: true, get: function () { return style_2.tpl_src_component_style; } });
var layout_4 = require("./source/component/layout");
Object.defineProperty(exports, "source_component_layout", { enumerable: true, get: function () { return layout_4.default; } });
Object.defineProperty(exports, "tpl_src_component_layout", { enumerable: true, get: function () { return layout_4.tpl_src_component_layout; } });
var style_layout_2 = require("./source/component/style-layout");
Object.defineProperty(exports, "source_component_layout_style", { enumerable: true, get: function () { return style_layout_2.default; } });
Object.defineProperty(exports, "tpl_src_component_layout_style", { enumerable: true, get: function () { return style_layout_2.tpl_src_component_layout_style; } });
var mapCtxToProps_2 = require("./source/utils/mapCtxToProps");
Object.defineProperty(exports, "source_utils_mapctx", { enumerable: true, get: function () { return mapCtxToProps_2.default; } });
Object.defineProperty(exports, "tpl_src_utils_mapctx", { enumerable: true, get: function () { return mapCtxToProps_2.tpl_src_utils_mapctx; } });
var paramsToQueryString_2 = require("./source/utils/paramsToQueryString");
Object.defineProperty(exports, "source_utils_params", { enumerable: true, get: function () { return paramsToQueryString_2.default; } });
Object.defineProperty(exports, "tpl_src_utils_params", { enumerable: true, get: function () { return paramsToQueryString_2.tpl_src_utils_params; } });
var component_class_2 = require("./new/component_class");
Object.defineProperty(exports, "component_class", { enumerable: true, get: function () { return component_class_2.default; } });
Object.defineProperty(exports, "tpl_new_class", { enumerable: true, get: function () { return component_class_2.tpl_new_class; } });
var component_functional_2 = require("./new/component_functional");
Object.defineProperty(exports, "component_functional", { enumerable: true, get: function () { return component_functional_2.default; } });
Object.defineProperty(exports, "tpl_new_functional", { enumerable: true, get: function () { return component_functional_2.tpl_new_functional; } });
var index_4 = require("./new/index");
Object.defineProperty(exports, "component_index", { enumerable: true, get: function () { return index_4.default; } });
Object.defineProperty(exports, "tpl_new_index", { enumerable: true, get: function () { return index_4.tpl_new_index; } });
var readme_4 = require("./new/readme");
Object.defineProperty(exports, "component_readme", { enumerable: true, get: function () { return readme_4.default; } });
Object.defineProperty(exports, "tpl_new_readme", { enumerable: true, get: function () { return readme_4.tpl_new_readme; } });
var stylesheet_2 = require("./new/stylesheet");
Object.defineProperty(exports, "component_stylesheet", { enumerable: true, get: function () { return stylesheet_2.default; } });
Object.defineProperty(exports, "tpl_new_stylesheet", { enumerable: true, get: function () { return stylesheet_2.tpl_new_stylesheet; } });
var test_2 = require("./new/test");
Object.defineProperty(exports, "component_test", { enumerable: true, get: function () { return test_2.default; } });
Object.defineProperty(exports, "tpl_new_test", { enumerable: true, get: function () { return test_2.tpl_new_test; } });
var commit_msg_2 = require("./husky/commit-msg");
Object.defineProperty(exports, "husky_commit_msg", { enumerable: true, get: function () { return commit_msg_2.default; } });
Object.defineProperty(exports, "tpl_husky_commit_msg", { enumerable: true, get: function () { return commit_msg_2.tpl_husky_commit_msg; } });
var pre_commit_2 = require("./husky/pre-commit");
Object.defineProperty(exports, "husky_pre_commit", { enumerable: true, get: function () { return pre_commit_2.default; } });
Object.defineProperty(exports, "tpl_husky_pre_commit", { enumerable: true, get: function () { return pre_commit_2.tpl_husky_pre_commit; } });
var pre_push_2 = require("./husky/pre-push");
Object.defineProperty(exports, "husky_pre_push", { enumerable: true, get: function () { return pre_push_2.default; } });
Object.defineProperty(exports, "tpl_husky_pre_push", { enumerable: true, get: function () { return pre_push_2.tpl_husky_pre_push; } });
/* -- templates - init --  */
exports.tpls_init = {
    babel: babel_1.default,
    commitlint: commitlint_1.default,
    editor: editor_1.default,
    eslint: eslint_1.default,
    eslintignore: eslintignore_1.default,
    gitignore: gitignore_1.default,
    prettierignore: prettierignore_1.default,
    jest: jest_1.default,
    nextConfig: next_config_1.default,
    nextDeclartion: next_d_1.default,
    omni: omni_1.default,
    pkj: package_1.default,
    postcss: postcss_1.default,
    prettier: prettier_1.default,
    readme: readme_1.default,
    readme_cn: index_zh_CN_1.default,
    stylelint: stylelint_1.default,
    tsconfig: tsconfig_1.default,
    vscode: vsc_1.default,
    webpack: webpack_1.default,
    source_index_reset: reset_1.default,
    source_app_page: page_1.default,
    source_app_layout: layout_1.default,
    source_page_index: index_1.default,
    source_page_app: _app_1.default,
    source_component_index: component_1.default,
    source_component_cp: component_2.default,
    source_component_style: style_1.default,
    source_component_layout: layout_2.default,
    source_component_layout_style: style_layout_1.default,
    source_utils_mapctx: mapCtxToProps_1.default,
    source_utils_params: paramsToQueryString_1.default,
    husky_commit_msg: commit_msg_1.default,
    husky_pre_commit: pre_commit_1.default,
    husky_pre_push: pre_push_1.default
};
exports.tpls_origin_init = {
    tpl_babel: babel_1.tpl_babel,
    tpl_commitlint: commitlint_1.tpl_commitlint,
    tpl_editor: editor_1.tpl_editor,
    tpl_eslint: eslint_1.tpl_eslint,
    tpl_ignore_eslint: eslintignore_1.tpl_ignore_eslint,
    tpl_ignore_git: gitignore_1.tpl_ignore_git,
    tpl_next_config: next_config_1.tpl_next_config,
    tpl_next_d: next_d_1.tpl_next_d,
    tpl_jest: jest_1.tpl_jest,
    tpl_ignore_prettier: prettierignore_1.tpl_ignore_prettier,
    tpl_omni: omni_1.tpl_omni,
    tpl_package: package_1.tpl_package,
    tpl_readme: readme_1.tpl_readme,
    tpl_readme_cn: index_zh_CN_1.tpl_readme_cn,
    tpl_postcss: postcss_1.tpl_postcss,
    tpl_prettier: prettier_1.tpl_prettier,
    tpl_stylelint: stylelint_1.tpl_stylelint,
    tpl_tsconfig: tsconfig_1.tpl_tsconfig,
    tpl_vscode_setting: vsc_1.tpl_vscode_setting,
    tpl_webpack: webpack_1.tpl_webpack,
    tpl_src_reset: reset_1.tpl_src_reset,
    tpl_src_app_page: page_1.tpl_src_app_page,
    tpl_src_app_layout: layout_1.tpl_src_app_layout,
    tpl_src_page_index: index_1.tpl_src_page_index,
    tpl_src_page_app: _app_1.tpl_src_page_app,
    tpl_src_component_index: component_1.tpl_src_component_index,
    tpl_src_component_cp: component_2.tpl_src_component_cp,
    tpl_src_component_style: style_1.tpl_src_component_style,
    tpl_src_component_layout: layout_2.tpl_src_component_layout,
    tpl_src_component_layout_style: style_layout_1.tpl_src_component_layout_style,
    tpl_src_utils_mapctx: mapCtxToProps_1.tpl_src_utils_mapctx,
    tpl_src_utils_params: paramsToQueryString_1.tpl_src_utils_params,
    tpl_husky_commit_msg: commit_msg_1.tpl_husky_commit_msg,
    tpl_husky_pre_commit: pre_commit_1.tpl_husky_pre_commit,
    tpl_husky_pre_push: pre_push_1.tpl_husky_pre_push
};
/* -- templates - new --  */
exports.tpls_new = {
    component_class: component_class_1.default,
    component_functional: component_functional_1.default,
    component_index: index_2.default,
    component_readme: readme_2.default,
    component_stylesheet: stylesheet_1.default,
    component_test: test_1.default
};
exports.tpls_origin_new = {
    tpl_new_class: component_class_1.tpl_new_class,
    tpl_new_functional: component_functional_1.tpl_new_functional,
    tpl_new_index: index_2.tpl_new_index,
    tpl_new_readme: readme_2.tpl_new_readme,
    tpl_new_stylesheet: stylesheet_1.tpl_new_stylesheet,
    tpl_new_test: test_1.tpl_new_test
};
exports.default = __assign(__assign({}, exports.tpls_init), exports.tpls_new);
