"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tpl_jest = void 0;
var utils_1 = require("@omni-door/utils");
var tpl = "`${use_strict}\n\nmodule.exports = {\n  clearMocks: true,\n\n  coverageDirectory: 'coverage',\n\n  moduleFileExtensions: [\n    'js',\n    'json',\n    'jsx',\n    'ts',\n    'tsx',\n    'node'\n  ],\n\n  roots: [\n    '<rootDir>/../src'\n  ],\n\n  testRegex: '(test|__test__)/.*.test.(tsx|ts|jsx|js)?$',\n\n  transform: {\n    ${ts ? `'^.+.(tsx|ts)?$': 'ts-jest'` : `'^.+.(jsx|js)?$': 'babel-jest'` }\n  },\n\n  moduleNameMapper: {\n    '^.+\\.(css|styl|less|sass|scss|png|jpg|ttf|woff|woff2)$': 'jest-transform-stub'\n  }\n};\n`";
exports.tpl_jest = {
    tpl: tpl
};
exports.default = utils_1.tplEngineInit(exports.tpl_jest, 'tpl');
