"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tpl_new_test = void 0;
var utils_1 = require("@omni-door/utils");
var tpl = "`import 'jsdom-global/register';\nimport * as React from 'react';\nimport { configure, shallow, render, mount } from 'enzyme';\nimport Adapter from '@cfaester/enzyme-adapter-react-18';\nimport sinon from 'sinon';\nimport { ${componentName} } from '../index';\n\nconfigure({ adapter: new Adapter() });\n\ndescribe('${componentName}', () => {\n  it('renders correctly', () => {\n    const wrapper = render(\n      <${componentName} />\n    );\n    expect(wrapper).toMatchSnapshot();\n  });\n});\n`";
exports.tpl_new_test = {
    tpl: tpl
};
exports.default = utils_1.tplEngineNew(exports.tpl_new_test, 'tpl');
