"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tpl_readme = void 0;
var utils_1 = require("@omni-door/utils");
var tpl = "`# ${project_name}\n\nEnglish | [\u7B80\u4F53\u4E2D\u6587](./README.zh-CN.md)\n\n## Quick start\n### Install dependencies\n\\`\\`\\`shell\n${install}\n\\`\\`\\`\n\n### Develop project\n\\`\\`\\`shell\n${runScript} dev\n\\`\\`\\`\n\n### Create a Component\n\n\\`\\`\\`shell\n${runScript} new\n\\`\\`\\`\n\n*Create a functional Component which name is Button\uD83D\uDC47*\n\\`\\`\\`shell\n${runScript} new Button ${paramScript}f\n\\`\\`\\`\n\n---\n\n## Build and Run\n### Build\n\\`\\`\\`shell\n${runScript} build\n\\`\\`\\`\n\n*Bypass all pre-check before building\uD83D\uDC47*\n\\`\\`\\`shell\n${runScript} build ${paramScript}n\n\\`\\`\\`\n\n### Run project in production env\n\\`\\`\\`shell\n${runScript} start\n\\`\\`\\`\n\n**More powerful customizations is in [${configFileName}](https://github.com/omni-door/cli/blob/master/docs/OMNI.md)**\n`";
exports.tpl_readme = {
    tpl: tpl
};
exports.default = utils_1.tplEngineInit(exports.tpl_readme, 'tpl');
