"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tpl_readme_cn = void 0;
var utils_1 = require("@omni-door/utils");
var tpl = "`# ${project_name}\n\n[English](./README.md) | \u7B80\u4F53\u4E2D\u6587\n\n## \u5FEB\u901F\u5F00\u59CB\n### \u5B89\u88C5\u4F9D\u8D56\n\\`\\`\\`shell\n${install}\n\\`\\`\\`\n\n### \u5F00\u53D1\u9879\u76EE\n\\`\\`\\`shell\n${runScript} dev\n\\`\\`\\`\n\n### \u65B0\u5EFA\u7EC4\u4EF6\n\n\\`\\`\\`shell\n${runScript} new\n\\`\\`\\`\n\n*\u65B0\u5EFA\u4E00\u4E2A\u540D\u4E3A Button \u7684\u51FD\u6570\u7EC4\u4EF6\uD83D\uDC47*\n\\`\\`\\`shell\n${runScript} new Button ${paramScript}f\n\\`\\`\\`\n\n---\n\n## \u6784\u5EFA\u548C\u8FD0\u884C\n### \u6784\u5EFA\n\\`\\`\\`shell\n${runScript} build\n\\`\\`\\`\n\n*\u6784\u5EFA\u9879\u76EE\u65F6\u7ED5\u8FC7\u6240\u6709\u68C0\u67E5\uD83D\uDC47*\n\\`\\`\\`shell\n${runScript} build ${paramScript}n\n\\`\\`\\`\n\n### \u751F\u4EA7\u73AF\u5883\u8FD0\u884C\u9879\u76EE\n\\`\\`\\`shell\n${runScript} start\n\\`\\`\\`\n\n**\u66F4\u591A\u914D\u7F6E\u9879\u8BF7\u5728 [${configFileName}](https://github.com/omni-door/cli/blob/master/docs/OMNI.zh-CN.md) \u4E2D\u7F16\u8F91**\n`";
exports.tpl_readme_cn = {
    tpl: tpl
};
exports.default = utils_1.tplEngineInit(exports.tpl_readme_cn, 'tpl');
