"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tpl_src_app_layout = void 0;
var utils_1 = require("@omni-door/utils");
var tpl = "`import * as React from 'react';\nimport { headers } from 'next/headers';\n\nimport '../src/styles/reset.${style === 'all' ? 'scss' : style}';\n\nexport const metadata = {\n  title: 'OMNI-DOOR',\n  description: 'Toolset for set up the standard front-end projects',\n};\n\nexport default async function AppLayout({ children }${ts ? `: { children: React.ReactNode }` : ''}) {\n  return <html lang='en'>\n    <body>\n      {children}\n    </body>\n  </html>;\n}\n`";
exports.tpl_src_app_layout = {
    tpl: tpl
};
exports.default = utils_1.tplEngineInit(exports.tpl_src_app_layout, 'tpl');
