"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tpl_src_app_page = void 0;
var utils_1 = require("@omni-door/utils");
var tpl = "`import * as React from 'react';\nimport Layout from '@components/Layout';\nimport ${pageName} from '@components/${pageName}';\n\nconst ${pageName}Page = () => {\n  return (\n    <Layout\n      title={'${pageName}'}\n      page='/${pageName.toLowerCase()}'\n    >\n      <${pageName} />\n    </Layout>\n  );\n};\n\n// regenerate page every day\nexport const config = {\n  revalidate: 86400,\n};\n\nexport default ${pageName}Page;\n`";
exports.tpl_src_app_page = {
    tpl: tpl
};
exports.default = utils_1.tplEngineInit(exports.tpl_src_app_page, 'tpl');
