"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tpl_src_page_app = void 0;
var utils_1 = require("@omni-door/utils");
var tpl = "`import * as React from 'react';\nimport '../src/styles/reset.${style === 'all' ? 'scss' : style}';\n${ts ? `/* import types */\nimport type { AppProps } from 'next/app';\n\n` : ''}\nfunction MyApp({ Component, pageProps }${ts ? ': AppProps' : ''}) {\n  return <Component { ...pageProps } />;\n}\n\nexport default MyApp;\n`";
exports.tpl_src_page_app = {
    tpl: tpl
};
exports.default = utils_1.tplEngineInit(exports.tpl_src_page_app, 'tpl');
