"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tpl_src_page_index = void 0;
var utils_1 = require("@omni-door/utils");
var tpl = "`import * as React from 'react';\nimport Layout from '@components/Layout';\nimport ${pageName} from '@components/${pageName}';\nimport mapCtxToProps from '@utils/mapCtxToProps';\n${ts ? `/* import types */\nimport type { NextPage, GetServerSidePropsContext } from 'next';\nimport type { MapCtxToProps } from '@utils/mapCtxToProps';\n\ninterface ${pageName}PageProps extends MapCtxToProps {}\n` : ''}\nconst ${pageName}Page${ts ? `: NextPage<${pageName}PageProps>` : ''}= props => {\n  return (\n    <Layout\n      title={'${pageName}'}\n      page={props.page}\n    >\n      <${pageName} { ...props }/>\n    </Layout>\n  );\n};\n\nexport async function getServerSideProps(ctx: GetServerSidePropsContext) {\n  return mapCtxToProps(ctx);\n}\n\nexport default ${pageName}Page;\n`";
exports.tpl_src_page_index = {
    tpl: tpl
};
exports.default = utils_1.tplEngineInit(exports.tpl_src_page_index, 'tpl');
