"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.tpl_stylelint = void 0;
var utils_1 = require("@omni-door/utils");
var plugins_scss_1 = __importDefault(require("./plugins_scss"));
var plugins_less_1 = __importDefault(require("./plugins_less"));
var rules_scss_1 = __importDefault(require("./rules_scss"));
var extends_scss_1 = __importDefault(require("./extends_scss"));
var extends_less_1 = __importDefault(require("./extends_less"));
var tpl = "`${use_strict}\n\nmodule.exports = {\n\textends: [\n\t\t'stylelint-config-standard',${alter_style({ all: 'extends_scss', scss: 'extends_scss' })}${alter_style({ all: 'extends_less', less: 'extends_less' })}\n\t\t'stylelint-config-css-modules',\n\t\t'stylelint-config-rational-order'\n\t],\n\tplugins: [\n\t\t'stylelint-order',${alter_style({ all: 'plugins_scss', scss: 'plugins_scss' })}${alter_style({ all: 'plugins_less', less: 'plugins_less' })}\n\t\t'stylelint-declaration-block-no-ignored-properties'\n\t],\n\trules: {\n\t\t'selector-no-vendor-prefix': null,\n\t\t'selector-class-pattern': null,\n\t\t'property-no-vendor-prefix': null,\n\t\t'color-function-notation': null,\n\t\t'no-descending-specificity': null,${alter_style({ all: 'rules_scss', scss: 'rules_scss' })}\n\t\t'plugin/declaration-block-no-ignored-properties': true\n\t}\n};\n`";
exports.tpl_stylelint = {
    tpl: tpl,
    extends_scss: extends_scss_1.default,
    extends_less: extends_less_1.default,
    plugins_scss: plugins_scss_1.default,
    plugins_less: plugins_less_1.default,
    rules_scss: rules_scss_1.default
};
exports.default = utils_1.tplEngineInit(exports.tpl_stylelint, 'tpl');
