"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tpl_vscode_setting = void 0;
var utils_1 = require("@omni-door/utils");
var tpl = "`{\n  \"editor.tabSize\": 2,\n  \"editor.formatOnSave\": ${eslint ? false : true},\n  \"eslint.enable\": ${eslint ? true : false},\n  \"[css]\": {\n    \"editor.formatOnSave\": true,\n    \"editor.formatOnPaste\": true\n  },\n  \"[less]\": {\n    \"editor.formatOnSave\": true,\n    \"editor.formatOnPaste\": true\n  },\n  \"[scss]\": {\n    \"editor.formatOnSave\": true,\n    \"editor.formatOnPaste\": true\n  },\n  \"[sass]\": {\n    \"editor.formatOnSave\": true,\n    \"editor.formatOnPaste\": true\n  },\n  \"[javascript]\": {\n    \"editor.formatOnSave\": true,\n    \"editor.formatOnPaste\": true\n  },\n  \"[javascriptreact]\": {\n    \"editor.codeActionsOnSave\": {\n      \"source.fixAll\": ${eslint ? true : false},\n      \"source.fixAll.eslint\": ${eslint ? \"explicit\" : false}\n    },\n    \"editor.formatOnSave\": ${eslint ? false : true},\n    \"editor.formatOnPaste\": ${eslint ? false : true}\n  },\n  \"[typescript]\": {\n    \"editor.codeActionsOnSave\": {\n      \"source.fixAll\": ${eslint ? true : false},\n      \"source.fixAll.eslint\": ${eslint ? \"explicit\" : false}\n    },\n    \"editor.formatOnSave\": ${eslint ? false : true},\n    \"editor.formatOnPaste\": ${eslint ? false : true}\n  },\n  \"[typescriptreact]\": {\n    \"editor.codeActionsOnSave\": {\n      \"source.fixAll\": ${eslint ? true : false},\n      \"source.fixAll.eslint\": ${eslint ? \"explicit\" : false}\n    },\n    \"editor.formatOnSave\": ${eslint ? false : true},\n    \"editor.formatOnPaste\": ${eslint ? false : true}\n  },\n  \"files.exclude\": {\n    \"**/.vscode\": true,\n    \"**/.git\": true,\n    \"**/.svn\": true,\n    \"**/.hg\": true,\n    \"**/CVS\": true,\n    \"**/.DS_Store\": true,\n    \"**/.editorconfig\": true,\n    \"**/.eslintignore\": true,\n    \"**/.prettierignore\": true\n  }\n}\n`";
exports.tpl_vscode_setting = {
    tpl: tpl
};
exports.default = utils_1.tplEngineInit(exports.tpl_vscode_setting, 'tpl');
