"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.devDependencies = exports.dependencies = void 0;
exports.dependencies = {
    'next': '~15.1.6',
    'react': '^19.0.0',
    'react-dom': '^19.0.0',
    'webpack-merge': '~6.0.1'
};
exports.devDependencies = {
    'del': '5.1.0',
    '@omni-door/cli': 'latest',
    '@babel/core': '~7.25.9',
    '@babel/plugin-proposal-decorators': '~7.25.9',
    '@babel/runtime': '~7.25.9',
    '@commitlint/cli': '8.3.5',
    '@next/bundle-analyzer': '~15.1.6',
    '@types/node': '~18.19.39',
    '@types/react': '~19.0.8',
    '@types/react-dom': '~19.0.3',
    '@types/vfile-message': '1.0.1',
    '@typescript-eslint/eslint-plugin': '~8.30.0',
    '@typescript-eslint/parser': '~8.30.0',
    '@types/enzyme': '~3.10.5',
    '@types/jest': '~29.5.12',
    '@types/jsdom': '~21.1.7',
    "babel-jest": "~29.7.0",
    'cross-env': '~7.0.3',
    'http-proxy-middleware': '3.0.0',
    'less': '~4.2.0',
    'less-loader': '~11.0.0',
    'next-compose-plugins': '~2.2.1',
    'next-transpile-modules': '~10.0.1',
    'next-with-less': '~3.0.1',
    'ip': '1.1.5',
    'jest': '~29.7.0',
    'jest-transform-stub': '2.0.0',
    'jsdom': '~24.1.1',
    'jsdom-global': '~3.0.2',
    'enzyme': '3.11.0',
    '@cfaester/enzyme-adapter-react-18': '1.15.2',
    'detect-port': '1.3.0',
    'eslint': '~8.57.1',
    'eslint-config-prettier': '~10.0.1',
    'eslint-plugin-prettier': '~5.2.3',
    'eslint-plugin-react': '~7.37.4',
    'husky': '9.1.7',
    'lint-staged': '15.4.3',
    'null-loader': '4.0.0',
    'open': '7.1.0',
    'postcss-px-to-viewport-8-plugin': '1.2.5',
    'prettier': '~3.4.2',
    'sass': '~1.84.0',
    'sinon': '~18.0.0',
    'stylelint': '16.14.1',
    'stylelint-config-css-modules': '4.4.0',
    'stylelint-config-rational-order': '0.1.2',
    'stylelint-config-standard': '37.0.0',
    'stylelint-config-standard-less': '3.0.1',
    'stylelint-config-standard-scss': '14.0.0',
    'stylelint-declaration-block-no-ignored-properties': '2.8.0',
    'stylelint-less': '3.0.1',
    'stylelint-order': '6.0.4',
    'stylelint-scss': '6.11.0',
    'ts-jest': '~29.2.3',
    'ts-node': '10.9.2',
    'typescript': '~5.8.3'
};
