"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tpl_babel = void 0;
var utils_1 = require("@omni-door/utils");
var tpl = "`${use_strict}\n\nmodule.exports = function (api) {\n  api.cache(false);\n  const presets = [\n    'next/babel'\n  ];\n\n  const plugins = [\n    ['@babel/plugin-proposal-decorators', { legacy: true }]\n  ];\n\n  return {\n    presets,\n    plugins\n  };\n};\n`";
exports.tpl_babel = {
    tpl: tpl
};
exports.default = utils_1.tplEngineInit(exports.tpl_babel, 'tpl');
