"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tpl_src_component_layout_style = void 0;
var utils_1 = require("@omni-door/utils");
var tpl = "`.layout {\n  display: block;\n}\n\n.layout-header {\n  width: 100vw;\n  height: 15px;\n  padding: 0 20px;\n  overflow: hidden;\n  background-color: #fff;\n  border-bottom: 1px solid #f0f0f0;\n}\n\n.layout-header-nav {\n  width: 100%;\n  height: 100%;\n  line-height: 15px;\n  text-align: center;\n}\n\n.layout-header-nav a {\n  margin-left: 10px;\n  font-size: 12px;\n}\n\n.layout-content {\n  padding-top: 30vh;\n  min-height: calc(100vh - 30px)\n}\n\n.layout-footer {\n  width: 100vw;\n  height: 15px;\n  padding: 0;\n  font-size: 4px;\n  line-height: 15px;\n  text-align: center;\n  background-color: rgb(250, 250, 250);\n}\n\n@media (max-width: 1024px) {\n  .layout-header {\n    min-width: 320px;\n    height: 50px;\n    padding: 0 2vw;\n  }\n\n  .layout-header-nav {\n    line-height: 50px;\n  }\n\n  .layout-header-nav a {\n    font-size: 16px;\n  }\n\n  .layout-content {\n    min-height: calc(100vh - 80px)\n  }\n\n  .layout-footer {\n    height: 30px;\n    font-size: 10px;\n    line-height: 30px;\n  }\n}\n`";
exports.tpl_src_component_layout_style = {
    tpl: tpl
};
exports.default = utils_1.tplEngineInit(exports.tpl_src_component_layout_style, 'tpl');
