"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tpl_src_reset = void 0;
var utils_1 = require("@omni-door/utils");
var tpl = "`html {\n  -webkit-font-smoothing: antialiased;\n  -moz-osx-font-smoothing: grayscale;\n  -ms-text-size-adjust: 100%;\n  -webkit-text-size-adjust: 100%;\n}\n\nbody {\n  position: relative;\n  overflow-x: hidden;\n}\n\n*,\n::after,\n::before {\n  box-sizing: border-box;\n  outline: 0;\n  -webkit-tap-highlight-color: transparent;\n}\n\nimg {\n  display: inline-block;\n  color: transparent;\n  border: 0;\n}\n\na {\n  display: inline-block;\n  color: #000;\n  color: inherit;\n  text-decoration: none;\n  outline: none;\n}\n\nul,\nol {\n  list-style-type: none;\n}\n\narticle,\naside,\ncanvas,\ndetails,\nfigcaption,\nfigure,\nfooter,\nheader,\nhgroup,\nmenu,\nnav,\nsection,\nsummary,\nmain {\n  display: block;\n}\n\nbody,\ndiv,\ndl,\ndt,\ndd,\nul,\nol,\nli,\nh1,\nh2,\nh3,\nh4,\nh5,\nh6,\nform,\ninput,\nbutton,\ntextarea,\np,\nth,\ntd {\n  margin: 0;\n  padding: 0;\n}\n\ninput,\nbutton {\n  outline: none;\n}\n\nbutton::placeholder {\n  color: rgb(194, 197, 210);\n}\n\ninput::-ms-clear {\n  display: none;\n}\n\ninput::-ms-reveal {\n  display: none;\n}\n\ninput::-webkit-credentials-auto-fill-button {\n  position: absolute;\n  right: 0;\n  display: none !important;\n  visibility: hidden;\n  pointer-events: none;\n}\n\ninput::-webkit-input-placeholder,\ntextarea::-webkit-input-placeholder {\n  color: #9b9b9b;\n  font-weight: 500;\n  font-size: 12px;\n}\n\n.hide,\n.hidden {\n  display: none !important;\n}\n\n.speed {\n  -webkit-transform: translate3d(0, 0, 0);\n  -moz-transform: translate3d(0, 0, 0);\n  -ms-transform: translate3d(0, 0, 0);\n  transform: translate3d(0, 0, 0);\n  -webkit-backface-visibility: hidden;\n  -moz-backface-visibility: hidden;\n  -ms-backface-visibility: hidden;\n  backface-visibility: hidden;\n  -webkit-perspective: 1000px;\n  -moz-perspective: 1000px;\n  -ms-perspective: 1000px;\n  perspective: 1000px;\n}\n`";
exports.tpl_src_reset = {
    tpl: tpl
};
exports.default = utils_1.tplEngineInit(exports.tpl_src_reset, 'tpl');
