"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tpl_src_utils_params = void 0;
var utils_1 = require("@omni-door/utils");
var tpl = "`const isObject = (param${ts ? ': any' : ''})${ts ? ': boolean' : ''} =>\n  param === Object(param);\n\n\nconst paramsToStringList = (entries${ts ? ': [string, any][]' : ''})${ts ? ': string[]' : ''} =>\n  entries.reduce(\n    (result${ts ? ': string[]' : ''}, [key, value]${ts ? ': [string, any]' : ''})${ts ? ': string[]' : ''} =>\n      result.concat(Array.isArray(value)\n        ? paramsToStringList(\n          value.map((arrayValue${ts ? ': any' : ''})${ts ? ': [string, any]' : ''} => [\\`\\${key}[]\\`, arrayValue])\n        )\n        : [typeof value === 'string' || typeof value === 'number' ? \\`\\${key}=\\${value}\\` : '']),\n    []\n  );\n\nexport default function paramsToQueryString(params${ts ? ': any' : ''})${ts ? ': string' : ''} {\n  const paramsString${ts ? ': string | number' : ''} = isObject(params)\n    ? paramsToStringList(\n      Object.keys(params)\n        .sort()\n        .map((key${ts ? ': string | number' : ''})${ts ? ': [string, any]' : ''} => [String(key), params[key]])\n    )\n      .filter((chunk${ts ? ': string' : ''})${ts ? ': boolean' : ''} => chunk.length > 0)\n      .join('&')\n    : ''\n    ;\n  return paramsString.length > 0 ? \\`?\\${paramsString}\\` : '';\n}\n`";
exports.tpl_src_utils_params = {
    tpl: tpl
};
exports.default = utils_1.tplEngineInit(exports.tpl_src_utils_params, 'tpl');
