"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tpl_webpack = void 0;
var utils_1 = require("@omni-door/utils");
var tpl = "`${use_strict}\n\nconst path = require('path');\n\nmodule.exports = {\n  resolve: {\n    alias: {\n      '@': path.resolve(__dirname, '../src'),\n      '@pages': path.resolve(__dirname, '../pages'),\n      '@components': path.resolve(__dirname, '../src/components'),\n      '@utils': path.resolve(__dirname, '../src/utils')\n    },\n    extensions: ['.ts', '.tsx', '.js', '.jsx', '.css', '.less', '.scss', '.sass', '.md']\n  }\n};\n`";
exports.tpl_webpack = {
    tpl: tpl
};
exports.default = utils_1.tplEngineInit(exports.tpl_webpack, 'tpl');
